Skip to main content
POST
Create Items Stock Posting Inbound

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

warehouseId
string<uuid>
required

Unique identifier of the warehouse the stock posting is executed in.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Unique identifier of the item the stock posting is executed for.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request model for ExecuteInboundStockPosting command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.

quantity
number<decimal>
required

The positive quantity to be added to the item's current stock (relative delta, must be greater than 0).

inventoryManagementInformation
object

Optional inventory management information (shelf life expiration date, batch number and/or serial numbers) to be taken into account. Applicable only for items configured with detailed inventory management.

Response

The inbound stock posting was executed successfully. Returns the item's resulting total stock in the warehouse.

The resulting stock for the item in the warehouse after a stock posting has been executed. Shared by the inbound and outbound stock posting endpoints.

totalQuantity
number<decimal>
required

The item's total physical stock (on-hand, including reserved) in the warehouse after the posting.